2007-01-16 19:50  cegger

	* configure.in: Next bugfix release is 1.0.2. Bump version.

2007-01-09 21:21  cegger

	* checkversion.sh: pull up the following revision(s) (requested by
	  cegger):  checkversion.sh: 1.4 - 1.5

	  Check and accept version numbers that are greater than the
	  required one. Now we can use automake 1.10.

2006-12-30 21:07  cegger

	* doc/man/: gcpBlendColor.3, gcpGetLuminance.3, gcpGetRGBAGamma.3,
	  gcpInit.3, gcpMapRGBAColor.3, gcpSetColorfulPalette.3,
	  gcpSetIntensity.3, gcpSetRGBAPalette.3, gcpUnmapRGBAPixel.3,
	  gcp_pixel.3, libggigcp.7: regen.

2006-02-25 19:36  cegger

	* ChangeLog: update for libggigcp 1.0.1

2006-02-25 19:34  cegger

	* configure.in: welcome to libggigcp 1.0.1

2006-02-24 21:04  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: pull up the following
	  revision(s) (requested by cegger):  misc/libggigcp/ltmain.sh:
	  1.52 - 1.72  misc/libggigcp/m4/libtool.m4: 1.48 - 1.63
	  misc/libggigcp/m4/ltoptions.m4: 1.8 - 1.10
	  misc/libggigcp/m4/ltsugar.m4: 1.5 - 1.7
	  misc/libggigcp/m4/ltversion.m4: 1.41 - 1.61

	  sync with HEAD

2006-01-18 19:05  cegger

	* gcp/init.c: pull up the following revision(s) (requested by
	  pekberg):  gcp/init.c: 1.18 - 1.19 Clear config handle variable
	  on last exit

2006-01-18 18:19  cegger

	* gcp/init.c: pull up the following revision(s) (requested by
	  pekberg):  gcp/init.c: 1.17 - 1.18 Clean up properly on failure
	  in init function

2005-12-10 15:19  cegger

	* ChangeLog: update for final libggigcp 1.0.0

2005-12-10 15:18  cegger

	* configure.in: welcome to final libggigcp 1.0.0

2005-11-28 18:49  cegger

	* configure.in, ChangeLog: welcome to libggigcp 1.0.0 release
	  candidate 2

2005-11-20 20:51  cegger

	* m4/ltversion.m4: pull up revisions 1.41 - 1.52 (requested by
	  cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:51  cegger

	* m4/ltsugar.m4: pull up revisions 1.5 - 1.7 (requested by cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:50  cegger

	* m4/ltoptions.m4: pull up revisions 1.8 - 1.10 (requested by
	  cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:50  cegger

	* m4/libtool.m4: pull up revisions 1.48 - 1.56 (requested by
	  cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:49  cegger

	* ltmain.sh: pull up revisions 1.52 - 1.63 (requested by cegger):

	  sync with libtool cvs head to version 1.2197

2005-10-30 09:35  cegger

	* autogen.sh: pull up revisions 1.12 - 1.13 (requested by cegger):

	  fix syntax error on solaris

2005-09-21 21:14  cegger

	* doc/man/: gcpBlendColor.3, gcpGetLuminance.3, gcpGetRGBAGamma.3,
	  gcpInit.3, gcpMapRGBAColor.3, gcpSetColorfulPalette.3,
	  gcpSetIntensity.3, gcpSetRGBAPalette.3, gcpUnmapRGBAPixel.3,
	  gcp_pixel.3, libggigcp.7: regen.

2005-09-21 17:23  cegger

	* ReleaseNote: zap this file

2005-09-21 12:45  cegger

	* configure.in: welcome to 1.0.0 release candidate 1

2005-09-21 08:24  cegger

	* ChangeLog: update for libggigcp 1.0.0

2005-09-20 21:15  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync with libtool cvs
	  head to version 1.2081

2005-09-20 20:54  cegger

	* include/ggi/internal/debug_macros.h: #define DMESSAGE also when
	  DEBUG is not defines. Fixes build error reported by Bernhard
	  Fischer

2005-09-20 19:52  cegger

	* include/ggi/internal/debug_macros.h: trim some whitespace

2005-09-19 07:54  cegger

	* gcp/init.c: use new ggiExtensionLoadDL() semantic. builtin
	  targets work now

2005-09-14 12:04  cegger

	* configure.in, default-shared/Makefile.am: namespace fix: add
	  suffix _gcp to the dynamic targets. Now dynamic target loading
	  works again

2005-09-14 09:51  cegger

	* Makefile.am: remove config.lt when run 'make distclean'

2005-09-14 09:29  cegger

	* Makefile.am, configure.in, libggigcp.conf.in,
	  default/color/Makefile.am, default-shared/.cvsignore,
	  default-shared/Makefile.am, gcp/Makefile.am, gcp/builtins.am,
	  gcp/builtins.c, gcp/init.c: support for static linking

2005-09-14 09:13  cegger

	* include/ggi/internal/gcp_debug.h: use <ggi/gcp-defs.h>, noth
	  <ggi/ggi-defs.h>

2005-09-13 11:35  pekberg

	* m4/Makefile.am: Libltdl isn't needed, can't be used (LGPL) and
	  isn't used, so zap ltdl.m4.

2005-09-13 09:47  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltversion.m4: sync
	  with libtool cvs head to version 1.2073

2005-09-08 14:37  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync with libtool cvs
	  head to version 1.2066

2005-09-07 12:02  pekberg

	* configure.in: Use new GGI_NEED_INTTYPES macro

2005-09-07 11:46  pekberg

	* m4/common.m4: Add macro to centralize C99 inttypes detection.

2005-09-07 09:00  pekberg

	* configure.in: Add modern autoconf init macro that specifies name
	  of package and bug report address etc. Specify the m4 macro dir.

2005-09-05 18:44  cegger

	* include/ggi/internal/debug_macros.h: update mail address in
	  Copyright

2005-09-05 13:22  pekberg

	* autogen.sh: Add --force option that disables version checks.

2005-09-04 14:34  cegger

	* config.guess, install-sh: update to version shipped with libtool
	  1.5.20

2005-09-03 08:03  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltversion.m4: sync
	  with libtool cvs head to version 1.2057

2005-09-02 18:49  cegger

	* gcp/init.c: add missing GG_ITER_DONE

2005-09-02 18:32  cegger

	* gcp/init.c: replace ggMatchConfig() with config iterator

2005-08-31 09:16  cegger

	* autogen.sh, ltmain.sh, m4/libtool.m4, m4/ltoptions.m4,
	  m4/ltversion.m4: sync with libtool cvs head to version 1.2049
	  This requires autoconf 2.59 and automake 1.9.6

2005-08-31 08:39  cegger

	* checkversion.sh: error properly out when where autotools are
	  missing

2005-08-28 15:17  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.298

2005-08-22 10:49  cegger

	* Makefile.am: remove genlibtool from EXTRA_DIST and *CLEANFILES

2005-08-19 09:26  cegger

	* autogen.sh: Change message 'Running autoconf - generating
	  configure...' to 'Running autoconf...' as suggested by Peter
	  Ekberg

2005-08-19 09:12  cegger

	* autogen.sh, m4/common.m4: do not generate genlibtool, remove
	  GGI_GENLIBTOOL, step 2

2005-08-19 08:50  cegger

	* .cvsignore, configure.in: Zap genlibtool, step 1

2005-08-18 19:22  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.292

2005-08-10 07:23  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.283

2005-08-08 12:06  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.281

2005-07-30 17:53  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.274

2005-07-30 16:36  cegger

	* doc/man/: gcpBlendColor.3, gcpGetLuminance.3, gcpGetRGBAGamma.3,
	  gcpInit.3, gcpMapRGBAColor.3, gcpSetColorfulPalette.3,
	  gcpSetIntensity.3, gcpSetRGBAPalette.3, gcpUnmapRGBAPixel.3,
	  gcp_pixel.3, libggigcp.7: regen.

2005-07-30 16:35  cegger

	* doc/: libggigcp-functions.txt, libggigcp-structures.txt: use C99
	  inttypes

2005-07-30 16:31  cegger

	* default/color/blending.c, default/color/init.c, demos/gcpblend.c,
	  gcp/color.c, gcp/init.c, gcp/stubs.c, include/ggi/gcp.h,
	  include/ggi/internal/gcp.h, include/ggi/internal/gcp_debug.h: use
	  C99 inttypes

2005-07-28 11:31  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.272

2005-07-14 06:07  cegger

	* compile, config.guess, config.sub, depcomp, install-sh, missing,
	  mkinstalldirs: update to the versions shipped with automake 1.9.6

2005-07-08 18:21  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.262

2005-06-28 12:03  cegger

	* include/ggi/internal/Makefile.am: add debug_macros.h to
	  noinst_HEADERS

2005-06-28 11:54  cegger

	* Makefile.am: add genlibtool.cache to DISTCLEANFILES

2005-06-28 05:30  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	  m4/ltversion.m4: sync up with libtool cvs branch-2-0 to version
	  1.1667.2.252

2005-06-20 07:58  cegger

	* gcp/init.c: #include <ggi/internal/gg_replace.h> and zap
	  HAVE_SNPRINTF

2005-06-12 11:46  cegger

	* m4/ltsugar.m4: This libtool change fixes an infinite m4 loop in
	  CVS autoconf, but causes one in autoconf 2.59. Since we use the
	  stable version we downgrade...

2005-06-12 08:53  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	  m4/ltversion.m4: sync up with libtool cvs branch-2-0 to version
	  1.1167.2.245

2005-06-10 12:26  cegger

	* m4/common.m4: add GGI_CHECK_LIB, like AC_CHECK_LIB, but uses
	  libtool as a compiler

2005-06-09 20:10  cegger

	* configure.in: use -Wuninitialized, -Wcast-qual and
	  -Wwrite-strings on gcc

2005-06-02 20:08  cegger

	* ltmain.sh, m4/ltversion.m4: sync up with libtool cvs branch-2-0
	  to version 1.1167.2.239

2005-05-21 22:42  cegger

	* default/color/: blending.c, color.c, gamma.c, init.c,
	  lightness.c, luminance.c: needs config.h

2005-05-21 22:38  cegger

	* gcp/: color.c, stubs.c: needs config.h

2005-05-16 15:11  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.236

2005-04-29 16:19  cegger

	* m4/: common.m4, libtool.m4: Quote all arguments to AC_DEFINE and
	  AC_DEFINE_UNQUOTED consistently. Patch from libtool branch-2-0

2005-04-29 08:54  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.229

2005-04-29 08:38  cegger

	* configure.in: use new GGI_GENLIBTOOL macro introduced in
	  m4/common.m4, rev 1.2

2005-04-29 08:31  cegger

	* m4/common.m4: new macro: GGI_GENLIBTOOL. It generates libtool for
	  use of configure. Implementation copied from
	  ggi-core/libgii/configure.in, rev 1.160

2005-04-29 07:55  cegger

	* m4/Makefile.am: consolidate m4 macros into one common.m4 file
	  each GGI lib or extension needs anyway.

2005-04-29 07:31  cegger

	* m4/common.m4: consolidate m4 macros into one common.m4 file each
	  GGI lib or extension needs anyway.

2005-04-24 09:38  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.219

2005-04-16 20:29  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.211

2005-04-11 18:37  cegger

	* doc/man/: Makefile.am, gcpBlendColor.3, gcpGetLuminance.3,
	  gcpGetRGBAGamma.3, gcpInit.3, gcpMapRGBAColor.3,
	  gcpSetColorfulPalette.3, gcpSetIntensity.3, gcpSetRGBAPalette.3,
	  gcpUnmapRGBAPixel.3, gcp_pixel.3, libggigcp.7: regen.

2005-04-07 21:41  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.207

2005-03-20 09:02  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.193

2005-03-11 21:24  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to verison 1.1667.2.175

2005-02-26 18:32  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.166

2005-02-17 23:31  cegger

	* ltmain.sh: pass -pthread like flags to the linker when linking
	  executables too. Now libtool tracks -pthread dependency correctly

2005-02-15 06:31  cegger

	* autogen.sh: We now require automake 1.9.5 to benefit from
	  bugfixes and a license change:

	  All m4 files have been relicensed under an all-permissive
	  license.

	  Previously they used a GPL license, and an all-permissive license
	  was prepended when they were copied into aclocal.m4, leading to
	  some confusion.

2005-02-15 06:12  cegger

	* compile, config.guess, config.sub, depcomp, install-sh, missing,
	  mkinstalldirs: update to versions shipped with automake 1.9.5

2005-02-09 06:24  cegger

	* ltmain.sh, m4/ltversion.m4: sync up with libtool cvs branch-2-0
	  to version 1.1667.2.158

2005-02-01 21:22  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.149

2005-01-27 20:20  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.141

2005-01-24 22:29  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.137

2005-01-13 11:56  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	  m4/ltversion.m4: sync up with libtool cvs branch-2-0 version
	  1.1667.2.129

2005-01-12 00:06  cegger

	* ltmain.sh, m4/ltversion.m4: sync up with libtool cvs branch-2-0
	  version 1.1667.2.127

2005-01-05 13:44  soyt

	* include/ggi/internal/gcp_debug.h: use my personal email address

2004-12-28 18:58  cegger

	* config.guess, config.sub, install-sh: update to the versions
	  shipped with automake 1.9.4

2004-12-28 18:38  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.118

2004-12-22 13:19  cegger

	* checkversion.sh: use 'head -n 1' than 'head -1'. Last form is
	  depricated. Patch from Tobias Hunger.

2004-12-13 17:53  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.100

2004-12-13 15:18  cegger

	* default/color/: blending.c, color.c, gamma.c, lightness.c:
	  LIB_ASSERT() now has an 2nd string argument.

2004-12-12 13:43  cegger

	* gcp/EXPSYMS: export the new _gcpDebug symbol. _gcpDebugSync and
	  _gcpDebugState no longer exists.

2004-12-08 08:40  cegger

	* include/ggi/internal/debug_macros.h: sync up with revision 1.6 of
	  tools/buildframework/include/ggi/internal/debug_macros.h:

	  'fmt' becomes 'form'. Finally, it is in a working state again.

2004-12-08 07:29  cegger

	* include/ggi/internal/debug_macros.h: sync up with revision 1.5 of
	  tools/buildframework/include/ggi/internal/debug_macros.h:

	  disable DPRINTIF that is meant for compatibility. Fixes build
	  problems due to re-declaration.

2004-12-07 09:05  cegger

	* include/ggi/internal/debug_macros.h: sync with rev. 1.4:

	  More work on the debug framework - multiple debug level - macros
	  for defining debug context

2004-12-06 22:26  cegger

	* doc/man/: gcpBlendColor.3, gcpGetLuminance.3, gcpGetRGBAGamma.3,
	  gcpInit.3, gcpMapRGBAColor.3, gcpSetColorfulPalette.3,
	  gcpSetIntensity.3, gcpSetRGBAPalette.3, gcpUnmapRGBAPixel.3:
	  regen.

2004-12-06 18:18  neiljp

	* doc/libggigcp-functions.txt: libggigcp doc tidying.

2004-11-30 15:03  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.95

2004-11-29 19:58  soyt

	* default/color/Makefile.am, gcp/Makefile.am: - change AM_CFLAGS to
	  AM_CPPFLAGS - use '.' rather than ':' in DEBUG_NAMESPACE

2004-11-27 23:47  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.88

2004-11-27 22:29  soyt

	* default/color/Makefile.am, default/color/blending.c,
	  default/color/init.c, doc/libggigcp-libraries.txt,
	  doc/man/libggigcp.7, gcp/Makefile.am, gcp/init.c,
	  include/ggi/internal/debug_macros.h,
	  include/ggi/internal/gcp_debug.h: update to new debug scheme

2004-11-19 21:59  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.78

2004-11-18 19:09  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.73

2004-11-17 07:06  cegger

	* doc/man/: Makefile.am, gcpGetCMYKGamma.3, gcpGetCMYKGammaMap.3,
	  gcpGetCMYKPalette.3, gcpGetHSVGamma.3, gcpGetHSVGammaMap.3,
	  gcpGetHSVPalette.3, gcpGetRGBAGamma.3, gcpGetRGBAGammaMap.3,
	  gcpGetRGBAPalette.3, gcpGetYCCGamma.3, gcpGetYCCGammaMap.3,
	  gcpGetYCCPalette.3, gcpGetYUVGamma.3, gcpGetYUVGammaMap.3,
	  gcpGetYUVPalette.3, gcpSetCMYKGamma.3, gcpSetCMYKGammaMap.3,
	  gcpSetCMYKPalette.3, gcpSetColorfulPalette.3, gcpSetHSVGamma.3,
	  gcpSetHSVGammaMap.3, gcpSetHSVPalette.3, gcpSetRGBAGamma.3,
	  gcpSetRGBAGammaMap.3, gcpSetRGBAPalette.3, gcpSetYCCGamma.3,
	  gcpSetYCCGammaMap.3, gcpSetYCCPalette.3, gcpSetYUVGamma.3,
	  gcpSetYUVGammaMap.3, gcpSetYUVPalette.3, gcpUnmapRGBAPixel.3:
	  regen.

2004-11-17 07:03  cegger

	* doc/libggigcp-functions.txt: many typo fixes: s/ggi/gcp/

2004-11-17 06:48  cegger

	* doc/man/: Makefile.am, gcpBlendColor.3, gcpGetLuminance.3,
	  gcpInit.3, gcpMapRGBAColor.3, gcpSetColorfulPalette.3,
	  gcpSetIntensity.3, gcpUnmapRGBAPixel.3, gcp_RGBAcolor.3,
	  gcp_pixel.3: regen.

2004-11-17 06:46  cegger

	* doc/: libggigcp-functions.txt, libggigcp-structures.txt: various
	  formatting fixes, spotted by Neil Pilgrim

2004-11-15 21:19  cegger

	* doc/man/: gcpBlendColor.3, gcpGetLuminance.3, gcpInit.3,
	  gcpMapRGBAColor.3, gcpSetColorfulPalette.3, gcpSetIntensity.3,
	  gcpUnmapRGBAPixel.3: regen.

2004-11-15 21:18  cegger

	* doc/libggigcp-functions.txt: reference to ggi-error(3) when
	  talking about error codes

2004-11-14 23:36  cegger

	* gcp/init.c: use proper defines for return values if applicable

2004-11-14 21:31  cegger

	* configure.in: - use -std=gnu99 flag when gcc has it - also use
	  -W* flags when we don't compile debug code

2004-11-11 14:21  cegger

	* configure.in: - use GGI_CHECK_STRING_FUNCS - use
	  GGI_CC_CHECK4_OPTION for -pedantic  $CC option - use
	  GGI_CHECK_IMPLICIT_DECLARATIONS

2004-11-10 20:28  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltversion.m4: -
	  sync up with libtool cvs branch-2-0 version 1.1667.2.67 - Add
	  -pthread and other thread flags to inherited_linker_flags.

2004-11-03 18:07  cegger

	* ltmain.sh, m4/ltversion.m4: sync with libtool branch-2-0 cvs
	  branch, version 1.1667.2.55

2004-11-03 08:20  cegger

	* doc/man/: Makefile.am, gcpBlendColor.3, gcpGetLuminance.3,
	  gcpInit.3, gcpMapRGBAColor.3, gcpSetColorfulPalette.3,
	  gcpSetIntensity.3, gcpUnmapRGBAPixel.3, gcp_pixel.3, libggigcp.7:
	  regenerate manpages

2004-11-01 22:45  cegger

	* compile, config.guess, install-sh: sync with
	  tools/buildframework:

	  update to versions shipped with automake 1.9.3

2004-11-01 18:58  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync with libtool
	  branch-2-0 cvs branch, version 1.1667.2.53

2004-10-28 06:25  pekberg

	* configure.in: Use LT_INIT instead of AM_PROG_LIBTOOL.

2004-10-27 13:00  cegger

	* doc/man/libggigcp.7: regen.

2004-10-27 10:21  pekberg

	* doc/libggigcp-libraries.txt: Mention GGI_CONFDIR.

2004-10-27 10:21  pekberg

	* gcp/init.c: Don't allow overiding the compiled in path on Cygwin.

2004-10-26 14:31  cegger

	* .cvsignore: sync with ggi-core/libggi/.cvsignore, rev 1.3

2004-10-25 12:38  cegger

	* gcp/Makefile.am: bump to devel version. better late than never...

2004-10-23 17:20  cegger

	* Makefile.am, configure.in: add genlibtool and genlibtool.in to
	  distribution run genlibtool from srcdir, not cwd.

	  make distcheck works again

2004-10-23 15:09  cegger

	* configure.in: update via autoupdate

2004-10-23 15:07  cegger

	* configure.in: libtool 1.4.3 generated the platform dependent
	  libtool script at configure time when AM_PROG_LIBTOOL was
	  invoked.

	  With libtool 2.0, config.status generates the platform dependent
	  libtool script. config.status is invoked by configure _after_
	  configure finished.

	  This arises the problem, that library checks via AC_CHECK_LIB
	  fail. We wrap around CC with '/bin/tcsh ./libtool ' to easily
	  track somewhat hidden library dependencies that may even differ
	  from platform to platform. This way assumes that libtool exists
	  and has been generated before.  Unfortunately, with libtool 2.0
	  this is no longer true.

	  The solution is to add a minimalistic configure script called
	  genlibtool. genlibtool only performs the checks required to
	  generate the libtool script.

	  configure invokes genlibtool right after AM_PROG_LIBTOOL (which
	  will be renamed to the new name LT_INIT later), to ensure that
	  libtool exists _before_ performing the library checks via
	  AC_CHECK_LIB as described above.

	  Now, since configure calls another 'embedded' configure don't get
	  confused when some checks seem to be done twice.

	  configure creates a confdefs.h file for internal use and deletes
	  it after exiting. We make a safety copy of it _before_ calling
	  genlibtool. When genlibtool finishs, we restore it to not break
	  following checks assuming confdefs.h to be there.

2004-10-23 14:07  cegger

	* ltmain.sh, m4/ltversion.m4: sync with libtool-2-0 branch

2004-10-23 13:45  cegger

	* m4/check4libggi.m4: libtool 2.0 requires --mode=link option

2004-10-23 13:29  cegger

	* autogen.sh: libtool 1.4.3 generated the platform dependent
	  libtool script at configure time when AM_PROG_LIBTOOL was
	  invoked.

	  With libtool 2.0, config.status generates the platform dependent
	  libtool script. config.status is invoked by configure _after_
	  configure finished.

	  This arises the problem, that library checks via AC_CHECK_LIB
	  fail. We wrap around CC with '/bin/tcsh ./libtool ' to easily
	  track somewhat hidden library dependencies that may even differ
	  from platform to platform. This way assumes that libtool exists
	  and has been generated before.  Unfortunately, with libtool 2.0
	  this is no longer true.

	  The solution is to add a minimalistic configure script called
	  genlibtool. genlibtool only performs the checks required to
	  generate the libtool script.

	  configure invokes genlibtool right after AM_PROG_LIBTOOL (which
	  will be renamed to the new name LT_INIT later), to ensure that
	  libtool exists _before_ performing the library checks via
	  AC_CHECK_LIB as described above.

	  Now, since configure calls another 'embedded' configure don't get
	  confused when some checks seem to be done twice.

	  configure creates a confdefs.h file for internal use and deletes
	  it after exiting. We make a safety copy of it _before_ calling
	  genlibtool. When genlibtool finishs, we restore it to not break
	  following checks assuming confdefs.h to be there.

2004-10-22 05:31  cegger

	* ltmain.sh, m4/ltversion.m4: sync with libtool-2-0 cvs branch

2004-10-20 23:46  cegger

	* m4/libtool.m4: incorporate latest libtool 2.0 pre-release fixes

2004-10-19 20:15  cegger

	* configure.in: make use of AC_DEFINE's third argument. This get us
	  rid from acconfig.h and fixes the autoheader warnings.

2004-10-18 21:19  cegger

	* configure.in: Build update process, part 3: We now require
	  autoconf 2.59

2004-10-18 21:06  cegger

	* m4/: ltoptions.m4, ltsugar.m4, ltversion.m4: Build process
	  update, part 2b: Update to libtool 2.0 pre-release

2004-10-18 20:54  cegger

	* ltmain.sh, m4/libtool.m4: Build process update, part 2a: Update
	  to libtool 2.0 pre-release

2004-10-18 20:42  cegger

	* autogen.sh: Build process update, part 1: We now require autoconf
	  2.59 and automake 1.9.2

2004-10-18 11:54  cegger

	* configure.in: bump to devel version

2004-10-16 13:29  cegger

	* configure.in, gcp/Makefile.am: bump version to next major version

2004-10-16 02:03  cegger

	* doc/: libggigcp-functions.txt, man/gcpBlendColor.3,
	  man/gcpGetIntensity.3, man/gcpGetLuminance.3,
	  man/gcpMapCMYKColor.3, man/gcpMapHSVColor.3,
	  man/gcpMapRGBAColor.3, man/gcpMapYCCColor.3,
	  man/gcpMapYUVColor.3, man/gcpPackCMYKColors.3,
	  man/gcpPackHSVColors.3, man/gcpPackRGBAColors.3,
	  man/gcpPackYCCColors.3, man/gcpPackYUVColors.3,
	  man/gcpSetColorfulPalette.3, man/gcpSetIntensity.3,
	  man/gcpUnmapCMYKPixel.3, man/gcpUnmapHSVPixel.3,
	  man/gcpUnmapRGBAPixel.3, man/gcpUnmapYCCPixel.3,
	  man/gcpUnmapYUVPixel.3, man/gcpUnpackCMYKPixels.3,
	  man/gcpUnpackHSVPixels.3, man/gcpUnpackRGBAPixels.3,
	  man/gcpUnpackYCCPixels.3, man/gcpUnpackYUVPixels.3,
	  man/Makefile.am: libggigcp now documents the full API

2004-10-15 20:31  cegger

	* doc/TODO: consider documentation done

2004-10-15 20:16  cegger

	* doc/: Makefile.am, libggigcp-structures.txt, libggigcp.txt,
	  man/Makefile.am, man/gcp_CMYKcolor.3, man/gcp_HSVcolor.3,
	  man/gcp_YCCcolor.3, man/gcp_YUVcolor.3, man/gcp_pixel.3: document
	  gcp types and structures

2004-10-14 22:58  cegger

	* doc/Makefile.am: add man/ subdirectory

2004-10-14 22:48  cegger

	* configure.in: add manpages

2004-10-14 22:48  cegger

	* doc/: Makefile.am, libggigcp-functions.txt,
	  libggigcp-libraries.txt, libggigcp.txt, man/.cvsignore,
	  man/Makefile.am, man/gcpAttach.3, man/gcpDetach.3, man/gcpExit.3,
	  man/gcpInit.3, man/libggigcp.7: add basic manual pages

2004-10-14 22:15  cegger

	* gcp/init.c: swap GCP_DEBUG and GCP_DEBUGSYNC evaluation. Allows
	  to mention whether we are in sync or in async debug mode.

2004-10-14 22:10  cegger

	* doc/Makefile.am: remove obselete notices about portability

2004-09-30 12:58  cegger

	* config.guess, config.sub, depcomp, install-sh, missing: sync with
	  tools/buildframework: update to the version shipped with automake
	  1.9.2

2004-09-25 09:52  cegger

	* Makefile.am: autogen.sh requires checkversion.sh. So distribute
	  it, too

2004-09-18 12:00  cegger

	* default/color/blending.c, default/color/color.c,
	  default/color/color.h, default/color/gamma.c,
	  default/color/init.c, default/color/lightness.c,
	  default/color/luminance.c, demos/gcpblend.c, demos/gcpconv.c,
	  demos/gcplight.c, gcp/color.c, gcp/init.c, gcp/stubs.c,
	  include/ggi/gcp.h, include/ggi/internal/color.h,
	  include/ggi/internal/gcp.h, include/ggi/internal/gcp_debug.h: add
	  rcs identifer

2004-09-10 06:19  cegger

	* configure.in: use same CFLAGS as libggi\'s configure rev 1.130

2004-09-08 14:10  cegger

	* m4/libtool.m4: sync with tools/buildframework/m4/libtool.m4 rev
	  1.3:

	  Use 'gcc -shared' on both cygwin and mingw.  Optimize out dlltool
	  and dllwrap.

2004-08-17 06:57  pekberg

	* configure.in, libggigcp.conf.in, m4/Makefile.am: Use relative
	  paths in the configuration file on mingw.

2004-08-13 19:15  cegger

	* ltmain.sh: sync with tools/buildframework/ltmain.sh, rev 1.2:

	  Install core dlls in bin instead of in lib on mingw.	No longer
	  needed to have the lib dir in the path.

2004-08-11 10:31  cegger

	* m4/libtool.m4:
	  sync with tools/buildframework/m4/libtool.m4 rev 1.2:

	  Make libtool build functional dlls on cygwin

2004-07-28 08:13  cegger

	* autogen.sh: echo -n only works on linux, *BSD and darwin. Use
	  printf to make it work on all platforms including System V

2004-06-06 21:04  cegger

	* configure.in: since libtool tracks lib dependencies correctly,
	  $THREADLIBS is no longer needed

2004-06-06 20:52  cegger

	* m4/check4libggi.m4: sync with new versions from
	  tools/buildframework/

2004-06-06 20:18  cegger

	* m4/gii_paths.m4: sync with new versions from
	  tools/buildframework/

2004-05-28 11:31  cegger

	* m4/check4libggi.m4: sync with new versions from
	  tools/buildframework/

2004-05-25 09:40  pekberg

	* demos/Makefile.am: Remove explicit references to $(THREADLIBS) as
	  they are no longer needed.  This is taken care of implicitly by
	  the recent ltmain.sh update.

2004-05-24 17:09  cegger

	* ltmain.sh: sync with new versions from tools/buildframework/

2004-05-10 17:30  aldot

	* demos/Makefile.am: threadlibs are needed for FreeBSD

2004-05-09 20:18  cegger

	* config.guess, config.sub: sync with new versions from
	  tools/buildscripts/

2004-05-09 12:54  cegger

	* config.guess, config.sub, depcomp, install-sh: sync with new
	  versions from tools/buildscripts/

2004-05-08 22:07  cegger

	* configure.in: use new GGI_CHECKLIB macro

2004-05-08 22:06  cegger

	* m4/: Makefile.am, check4libggi.m4: - add missing .m4 files to
	  EXTRA_DIST (Makefile.am) - add GGI_CHECKLIB macro to detect
	  libggi - move GGI_INST_PATH and GGI_UNINST_PATH macros to
	  check4libggi.m4 - obseletes ggi_paths.m4

2004-05-07 09:31  pekberg

	* libggigcp.conf.in, default/color/EXPSYMS,
	  default/color/Makefile.am, default/color/init.c: rename the color
	  so to color_gcp

2004-05-07 08:01  pekberg

	* configure.in, gcp/EXPSYMS, gcp/init.c, include/ggi/Makefile.am,
	  include/ggi/gcp-defs.h, include/ggi/gcp.h,
	  include/ggi/internal/color.h, include/ggi/internal/gcp.h,
	  include/ggi/internal/gcp_debug.h: make it work on windows

2004-05-07 06:07  cegger

	* configure.in: call the GGI_THREADLIBS macro before trying to
	  detect libggi

2004-05-07 06:03  cegger

	* configure.in: back out changes from revisions 1.18-1.19

	  -lgg is actually needed.

	  configure failure from autobuilder (Linux/alpha):
	  ggiroot_Linux_alpha/lib/libggi.so: undefined reference to
	  `ggstrlcpy' ggiroot_Linux_alpha/lib/libggi.so: undefined
	  reference to `ggGetSwarType'

	  -lgg in turn needs $THREADLIBS for the FreeBSD platform.

2004-05-06 19:15  pekberg

	* configure.in: There should be no need for extra ld flags when
	  linking with libtool

2004-05-06 06:34  pekberg

	* configure.in: blast, missed a line when copy-pasting

2004-05-06 06:31  pekberg

	* configure.in: locate ggi using libtool, as ggi detects gii

2004-05-03 10:07  pekberg

	* gcp/EXPSYMS: add missing exported symbols found by the
	  autobuilder

2004-04-26 23:59  cegger

	* autogen.sh: return an exit code

2004-04-23 04:34  cegger

	* .cvsignore: ignore autom4te.cache

2004-04-09 22:43  cegger

	* config.guess, config.sub: update to version shipped with libtool
	  1.5.4

2004-04-09 22:42  cegger

	* install-sh, mkinstalldirs: update to version shipped with
	  automake 1.8.3

2004-02-29 23:47  cegger

	* m4/libtool.m4: sync with libgii's revision 1.15

2004-02-10 06:41  cegger

	* m4/libtool.m4: make install works on mingw. Patch from Peter
	  Ekberg.

2004-01-31 11:23  cegger

	* checkversion.sh: sync with libgii's latest revision 1.4

2004-01-31 10:39  cegger

	* autogen.sh, checkversion.sh: make autogen.sh checking for
	  required autoconf & automake version

2004-01-31 10:15  cegger

	* m4/libtool.m4: sync with libgii's revision 1.12

2004-01-29 20:28  cegger

	* m4/libtool.m4: sync libtool with libgii (revision 1.11)

2004-01-24 23:13  cegger

	* ltmain.sh, m4/libtool.m4: merge libgii's libtool update

	  ltmain.sh (revisions 1.11-1.13) m4/ltdl.m4 (revision 1.3)
	  m4/libtool.m4 (revision 1.10)

2004-01-24 22:48  cegger

	* compile, config.guess, config.sub, depcomp, install-sh, missing,
	  mkinstalldirs: update to version shipped with automake 1.8.2

2003-12-13 14:57  cegger

	* config.guess, config.sub, depcomp, missing: update to version
	  shipped by automake 1.7.9

2003-11-27 20:38  cegger

	* configure.in: sync warning flags for libggigcp with other libs

2003-11-27 20:37  cegger

	* demos/: gcpblend.c, gcpconv.c, gcplight.c: declare do_demo() as
	  static.

2003-11-27 20:34  cegger

	* default/color/blending.c: disable unused code-fragment

2003-11-27 20:31  cegger

	* include/ggi/internal/gcp_debug.h: fixup LIB_ASSERT macro

2003-11-27 20:22  cegger

	* default/color/init.c: add missing prototype

2003-09-22 19:55  cegger

	* depcomp, install-sh: update to version shipped by automake 1.7.6

2003-07-14 16:33  cegger

	* autogen.sh: synchronize with libgii

2003-07-09 09:01  cegger

	* config.guess, config.sub: update from
	  ftp://ftp.gnu.org/gnu/config/

2003-06-12 08:12  cegger

	* config.guess, config.sub, install-sh: update to the version
	  shipped by automake 1.7.5

2003-05-09 22:11  cegger

	* configure.in: warn on incomplete switch/case handling

2003-04-22 20:45  cegger

	* configure.in: make gcc more silence and warn about more serious
	  things

2003-02-26 21:48  cegger

	* config.guess, config.sub, depcomp: update to the version shipped
	  by automake 1.7.3

2003-01-28 15:28  cegger

	* ltmain.sh: merge OpenBSD fixes from libggi

2003-01-04 20:25  cegger

	* gcp/EXPSYMS: Follow three rules to compile a lib successfully
	  under Solaris: 1. Never use emtpy lines in EXPSYMS 2. Never
	  forget to remove obseleted/deprecated symbols that no longer
	  exists in the lib 3. Never forget to add used symbols in EXPSYMS

2003-01-04 00:16  cegger

	* ReleaseNote: add hotfix info

2003-01-03 23:28  cegger

	* gcp/Makefile.am: fix compiling failure that has been experienced
	  under NetBSD and by the Debian autobuilding system

2002-12-21 00:47  cegger

	* ReleaseNote: Update download link

2002-12-17 21:58  cegger

	* include/ggi/Makefile.am: fix include path

2002-12-17 18:25  cegger

	* config.guess, config.sub, install-sh: update to the version
	  coming along with autoconf 2.57/automake 1.7.2

2002-12-17 16:13  cegger

	* README: reflect all changed libnames

2002-12-16 23:47  cegger

	* ReleaseNote: update link

2002-12-16 20:16  cegger

	* Makefile.am, configure.in, libggigcp.conf.in,
	  default/color/Makefile.am, demos/Makefile.am, gcp/Makefile.am:
	  renamed libgcp to libggigcp

2002-12-10 08:28  cegger

	* ReleaseNote: add a final note

2002-12-10 08:13  cegger

	* ReleaseNote, configure.in: bump to version 0.8.2

2002-12-10 07:42  cegger

	* configure.in: let configure fail, if libggi not found

2002-12-10 07:27  cegger

	* gcp/Makefile.am: correct version number

2002-12-10 07:22  cegger

	* demos/gcpblend.c: gcc 3.1 warning fix

2002-12-10 07:21  cegger

	* default/color/Makefile.am: linking fix

2002-12-10 07:16  cegger

	* include/ggi/internal/gcp_debug.h: compiler fixes

2002-12-08 21:41  cegger

	* ltmain.sh: add fixes from debian

2002-11-27 22:05  cegger

	* configure.in, m4/gii_paths.m4: configure cleanup

2002-11-25 14:47  cegger

	* config.guess, config.sub, install-sh, mkinstalldirs: update to
	  the versions shipped with autoconf 2.55

2002-11-17 15:12  cegger

	* ReleaseNote: *grmbl* fix ftp download link

2002-11-17 14:57  cegger

	* ReleaseNote: corrected link

2002-11-17 14:47  cegger

	* ReleaseNote, configure.in: bump release number and update
	  ReleaseNotes

2002-11-17 12:17  cegger

	* configure.in: merge improved --with-uninst-gii option from libggi

2002-10-24 15:26  cegger

	* config.guess, ltmain.sh, m4/libtool.m4: update to libtool 1.4.3

2002-10-17 21:10  cegger

	* config.guess, config.sub: update to versions shipped with
	  automake 1.7. This let configure recognize more CPU variants
	  (i.e. of mips, powerpc64 and athlon (XP))

2002-10-07 21:22  cegger

	* config.guess, config.sub, depcomp, install-sh, missing,
	  mkinstalldirs: update to the version shipped with automake 1.6.3

2002-10-06 18:02  cegger

	* compile, config.guess, config.sub, depcomp, install-sh,
	  ltmain.sh, missing, mkinstalldirs, m4/libtool.m4: merge build
	  system update from libgii

2002-09-28 15:45  cegger

	* Makefile.am: merge automake 1.6 fix from libgii

2002-09-15 10:53  cegger

	* gcp/init.c: compiler fix

2002-03-04 08:29  cegger

	* ReleaseNote: updated state info

2002-03-03 10:32  cegger

	* ReleaseNote: fixed download link

2002-01-12 16:47  cegger

	* configure.in: --with-ggi defaults to --prefix

2001-11-19 16:45  soyt

	* README, ReleaseNote: Added README and ReleaseNote

2001-09-29 09:43  cegger

	* include/ggi/internal/gcp_debug.h: small update

2001-08-28 21:59  thayne

	* Makefile.am: Build didn't traverse into include dir - include
	  missing in SUBDIRS

2001-08-14 19:44  cegger

	* doc/TODO: updated

2001-08-14 19:24  cegger

	* default/color/: lightness.c, luminance.c: added luminance
	  calculation of colors  +  renamed lightning.c to lightness.c for
	  less confusion what the file contains :)

2001-08-14 19:21  cegger

	* configure.in, gcp/Makefile.am: updated version number

2001-08-11 22:27  cegger

	* default/color/Makefile.am, default/color/color.c,
	  default/color/color.h, default/color/gamma.c,
	  default/color/init.c, demos/gcpconv.c, gcp/color.c, gcp/init.c,
	  gcp/stubs.c, include/ggi/gcp.h, include/ggi/internal/color.h,
	  include/ggi/internal/gcp.h, include/ggi/internal/gcp_debug.h:
	  added YCC colorspace (Kodak PhotoCD) support - conversion is
	  buggy, but it works estimately about 90% correct

2001-07-16 15:08  thayne

	* configure.in: revert to AM_PROG_LIBTOOL and AM_DISABLE_STATIC to
	  fix "LIBTOOL no set in configure.in" bug and inconsistency with
	  LIBTOOL docs.

2001-07-10 05:22  thayne

	* configure.in: AM_PROG_LIBTOOL and AM_DISABLE_STATIC are
	  deprecated - use 'AC_' names.

2001-07-09 14:49  thayne

	* m4/libtool.m4: libtool 1.4 has moved tests from ltconfig to
	  libtool.m4.  Delete unecessary ltconfig and update libtool.m4.

2001-07-07 17:26  thayne

	* Makefile.am, configure.in: Update configure.in and associated
	  files to be consistent across libs

2001-07-07 15:03  thayne

	* ltmain.sh: Fixing bug in libtool 1.4 where it won't find
	  interdependency libraries during install to a packaging dir

2001-07-07 08:11  thayne

	* config.guess, config.sub, ltmain.sh: Updating to libtool 1.4

2001-07-03 20:09  cegger

	* Makefile.am, configure.in, default/color/Makefile.am: confdir
	  fixes

2001-06-19 13:48  cegger

	* default/color/blending.c, default/color/color.h, gcp/color.c,
	  gcp/init.c, gcp/stubs.c, include/ggi/internal/Makefile.am,
	  include/ggi/internal/gcp.h: don't install gcp_debug.h; fixed
	  compiler errors

2001-06-19 13:44  cegger

	* include/ggi/internal/gcp_debug.h: renamed debug.h to gcp_debug.h
	  to keep namespace clean

2001-06-13 18:00  cegger

	* include/ggi/internal/Makefile.am: don't install debug headers

2001-06-03 08:23  cegger

	* default/color/EXPSYMS, default/color/init.c, gcp/EXPSYMS,
	  gcp/init.c: prepared for static linking

2001-04-21 21:17  cegger

	* .cvsignore, default/.cvsignore, default/color/.cvsignore,
	  include/.cvsignore, include/ggi/.cvsignore,
	  include/ggi/internal/.cvsignore: ignore automatic generated files

2001-04-21 17:09  cegger

	* Makefile.am, autogen.sh, config.guess, config.sub, configure.in,
	  install-sh, ltmain.sh, missing, mkinstalldirs, demos/Makefile.am,
	  demos/gcpblend.c, demos/gcpconv.c, demos/gcplight.c,
	  doc/Makefile.am, doc/TODO, include/ggi/Makefile.am,
	  default/color/EXPSYMS, default/color/Makefile.am,
	  include/ggi/gcp.h, include/ggi/internal/Makefile.am,
	  include/ggi/internal/color.h, include/ggi/internal/gcp.h,
	  default/color/blending.c, default/color/color.c,
	  default/color/color.h, default/color/gamma.c,
	  default/color/init.c, m4/Makefile.am, m4/libtool.m4, gcp/EXPSYMS,
	  gcp/Makefile.am, gcp/color.c, gcp/init.c, gcp/stubs.c: Initial
	  revision

2001-04-21 17:09  cegger

	* COPYING, ChangeLog, demos/.cvsignore, doc/.cvsignore,
	  doc/colors2.faq, doc/colors.faq, include/Makefile.am,
	  default/Makefile.am, gcp/.cvsignore, m4/.cvsignore: initial
	  import

